For the complete documentation index, see llms.txt. This page is also available as Markdown.

Import Pfx

Import a Pfx file

post

This can be used to import a Pfx file. If the pfx password is used (optional), the file has to be in a pfx format and will be used as a Certificate file, as well.

Body
PfxPasswordstringOptional

Password of the pfx File to be uploaded

PfxFilestring · binaryOptional

Private Key File to be uploaded.

NamestringOptional

The name of the target Certificate

SiteIdinteger · int32Optional

Site ID in which to add the Certificate

DescriptionstringOptional

A user-defined Certificate description

Usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
EnabledbooleanOptional

Whether to enable or disable the certificate being created

Responses
201

Created

application/json; api-version=1.0

The Certificate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

statusstring · enumOptional

Certificate Status Certificate Status

Possible values:
publicKeystring · nullableOptional

The public key.

expirationDatestring · date-time · nullableOptional

The expiration date of the certificate.

keySizestring · enumOptional

Certificate Key Size Certificate Key Size

Possible values:
commonNamestring · nullableOptional

The common name of the certificate.

namestring · nullableOptional

Certificate Name.

siteIdinteger · int32Optional

ID of the site.

enabledbooleanOptional

Whether the certificate is enabled or not.

typestring · enumOptional

Certificate Type Certificate Type

Possible values:
usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
intermediatestring · nullableOptional

The intermediate.

requeststring · nullableOptional

The certificate request.

descriptionstring · nullableOptional

The description of the certificate.

alternateNamesstring · nullableOptional

The alternate names of the certificate.

post
/api/Certificates/ImportPfx